> ## Documentation Index
> Fetch the complete documentation index at: https://botpress.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# cancelScheduledEvent

> Permanently cancels a scheduled [Event](#schema_event). The event must be in a `scheduled` state.



## OpenAPI

````yaml /runtime-openapi.json delete /v1/chat/events/scheduled/{id}
openapi: 3.0.0
info:
  title: Botpress Runtime API
  description: API for Botpress Runtime
  version: 1.82.0
servers:
  - url: https://api.botpress.cloud
security:
  - BearerAuth: []
tags:
  - name: documented
  - name: experimental
paths:
  /v1/chat/events/scheduled/{id}:
    delete:
      tags:
        - Endpoints
      description: >-
        Permanently cancels a scheduled [Event](#schema_event). The event must
        be in a `scheduled` state.
      operationId: cancelScheduledEvent
      parameters:
        - name: id
          in: path
          description: Event id
          required: true
          schema:
            type: string
        - name: x-bot-id
          in: header
          description: Bot id
          required: true
          schema:
            type: string
        - name: x-integration-id
          in: header
          description: Integration id
          required: false
          schema:
            type: string
        - name: x-integration-alias
          in: header
          description: Integration alias
          required: false
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/cancelScheduledEventResponse'
        default:
          $ref: '#/components/responses/cancelScheduledEventResponse'
components:
  responses:
    cancelScheduledEventResponse:
      description: Returns an empty object
      content:
        application/json:
          schema:
            type: object
            title: cancelScheduledEventResponse
            additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````